<?php
ini_set('display_errors', 0);
require_once './Control/ControlOpIdioma.php';
require_once './Util/formAjax/FormAjax.php';
extract($_POST);
$controlOpIdioma = new ControlOpIdioma();
if ($acao == 'inserir')
{
	$idioma = new Idioma();
} else
{
	$idioma = $controlOpIdioma->pegarUmIdioma($pk);
}
if ($acao != 'excluir')
{
    $idioma->setId(stripslashes($txtID));
    $idioma->setLang(stripslashes($txtLang));
    $idioma->setTexto(stripslashes($txtTexto));
    switch ($acao) {	
            case 'alterar':
                    $retorno = $controlOpIdioma->salvarIdioma($idioma);
                    break;
            case 'inserir':
                    $retorno = $controlOpIdioma->salvarIdioma($idioma);
                    $acao = 'alterar';
                    $idioma->find(true);
                    $pk = $idioma->getIdiomaid();
                    break;
    }
    if ($retorno == 0)
    {
        echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
    } else
    {   
        echo 'Registro foi salvo com sucesso!';
        $codJava = 'mostrarArquivoDados(\'' . $arqFrm .'\',\'#dados\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');';
        echo '<script>' . $codJava . '</script>';
    }
} else {
        $retorno = $controlOpIdioma->excluirIdioma($idioma);
        if ($retorno == 0)
        {
            echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
        } else
        {   
            echo 'Registro com ID: ' . $pk . ' excluido com sucesso!';
            $codJava = '$("#idiomaID_'. $pk . '").remove();';
            echo '<script>' . $codJava . '</script>';
        }
}

?>